<?xml version="1.0"?>
<xsl:stylesheet 
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <xsl:template match="commandresult">

    <p>
      <br>===============================================================</br>
      <br>HDPQ Analyzer Status</br>
      <br>===============================================================</br>
      <p>
        <xsl:apply-templates select="monitoring_status"/>
        <xsl:apply-templates select="instrument_status"/>
        <xsl:apply-templates select="comms_status"/>
        <xsl:apply-templates select="power_status"/>
        <xsl:apply-templates select="mini_report_status"/>
        <xsl:apply-templates select="clock_status"/>
      </p>
      <br>===============================================================</br>
      <br>End Status</br>
      <br>===============================================================</br>
    </p>
    
  </xsl:template>

  <xsl:template match="monitoring_status">
    <p>
      <b><xsl:value-of select="section/@name"/></b>
    </p>
    <xsl:apply-templates select="list"/>
  </xsl:template>

  <xsl:template match="instrument_status">
    <p>
      <b><xsl:value-of select="section/@name"/></b>
    </p>
    <xsl:apply-templates select="list"/>
  </xsl:template>

  <xsl:template match="comms_status">
    <p>
      <b><xsl:value-of select="section/@name"/></b>
    </p>
    <xsl:apply-templates select="list"/>
  </xsl:template>

  <xsl:template match="power_status">
    <p>
      <b><xsl:value-of select="section/@name"/></b>
    </p>
    <xsl:apply-templates select="list"/>
  </xsl:template>

  <xsl:template match="mini_report_status">
    <p>
      <b><xsl:value-of select="section/@name"/></b>
    </p>
    <xsl:apply-templates select="list"/>
  </xsl:template>

  <xsl:template match="clock_status">
    <p>
      <b><xsl:value-of select="section/@name"/></b>
    </p>
    <xsl:apply-templates select="list"/>
  </xsl:template>

  <xsl:template match="list">
    <xsl:apply-templates select="item"/>
  </xsl:template>
  
  <xsl:template match="item">
    <br>
      <xsl:value-of select="@name"/>
      :
      <xsl:value-of select="@value"/>
    </br>
  </xsl:template>
</xsl:stylesheet>
