<?xml version="1.0"?>
<xsl:stylesheet 
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="commandresult">
    <html>
      <head>
        <title></title>
        <style type="text/css">
          body { font-family: "Arial" }
        </style>
      </head>
      <body>
        <h2>Command: <xsl:value-of select="@name"/></h2>
        <xsl:apply-templates select="screenlist/screen"/>
      </body>
    </html>
  </xsl:template>


  <xsl:template match="screen">
    <DIV>
      <img src="/flash/system/screens/{./bitmap}" align="left" border="1"/>
      <p></p>
      <xsl:apply-templates select="file"/>
    </DIV>
  </xsl:template>

  
  <xsl:template match="file">
    <xsl:copy-of select="document(/flash/system/screens/.)/text"/>
  </xsl:template>

</xsl:stylesheet>
