<?xml version="1.0"?>
<xsl:stylesheet 
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="commandresult">
    <html>
      <head>
        <title></title>
      </head>
      <body>
        <h2>Command: DBGetInfo</h2>
        <xsl:apply-templates select="list"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="list">
   
    <table border="1" cellpadding="4">
      <tr>
        <td><center><b>Session<br/>Number*</b></center></td>
        <td><center><b>Session<br/>Time</b></center></td>
        <td><center><b>Number Of<br/>Records</b></center></td>
        <td><center><b>Start<br/>Record</b></center></td>
        <td><center><b>End<br/>Record</b></center></td>
        <td><center><b>Start Time</b></center></td>
        <td><center><b>End Time</b></center></td>
        <td><center><b>Invalid</b></center></td>
        <td><center><b>Tag</b></center></td>
      </tr>
      <xsl:apply-templates select="item"/>
    </table>
    * Link on Session Number will show the first 1000 records of that session
  </xsl:template>

  <xsl:template match="item">
    <tr>
      <xsl:choose>
        <xsl:when test="@number_of_records='0'">
          <td><center><xsl:value-of select="@session_number"/></center></td>
        </xsl:when>
        <xsl:otherwise>
          <td>
            <center>
              <a href="command?cmd=dblistrecords&amp;session_number={@session_number}&amp;records=0-999&amp;details=yes&amp;withstyle=yes">
                <xsl:value-of select="@session_number"/>
              </a>
            </center>
          </td>
        </xsl:otherwise>
      </xsl:choose>
      <td><xsl:value-of select="@session_time"/></td>
      <td><center><xsl:value-of select="@number_of_records"/></center></td>
      <td><center><xsl:value-of select="@start_record"/></center></td>
      <td><center><xsl:value-of select="@end_record"/></center></td>
      <td><xsl:value-of select="@srt_time"/></td>
      <td><xsl:value-of select="@end_time"/></td>
      <td><center><xsl:value-of select="@invalid"/></center></td>
      <td><xsl:value-of select="@tag"/></td>
    </tr>
  </xsl:template>

  </xsl:stylesheet>
